Open Surge Forum

A fun 2D retro platformer inspired by Sonic games and a game creation system

You are not logged in.

Announcement

Our community has moved to Discord! https://discord.gg/w8JqM7m

#1 2021-02-19 03:03:33

mrsonicguy36
Member
Registered: 2021-02-19
Posts: 1

OpenSurge syntax error from english.lng on Raspberry PI(SOLVED!)

This is just a heads up on running OpenSurge on Raspberry Pi. Unfortunately, when running the game, either from snap, or built from source, there is a surge script error that pops up. This prevents the game from running. However, after poking around, I realized that the language file (english.lng in my case)which is read by SurgeScript causes the issue. Simply comment out line 384,underneath where it says backwards compatibility.
Luckily, this fixed the issue as far AFAIK, but I think it would be good if it would be noted in future releases, so its no longer an issue. I had a
hard time getting the game to work up until I figured that out, so I thought it would be useful for other people as well, if they are running into the same issue. By the way, awesome game! Let me know if you guys ran into this issue too or haven't.

Offline

#2 2021-02-19 03:35:29

Alexandre
Administrator
From: Brazil
Registered: 2009-01-27
Posts: 3,274
Website

Re: OpenSurge syntax error from english.lng on Raspberry PI(SOLVED!)

Hi mrsonicguy36, thanks for sharing!

Can you post your logfile.txt? Did you do a clean install of the game? Was it installed before?

Offline

Board footer

Powered by FluxBB  hosted by tuxfamily.org